---
title: "Course introduction"
metaTitle: "Course Introduction | GraphQL Android Apollo Tutorial"
metaDescription: "A powerful and concise tutorial that will introduce you to GraphQL and integrating GraphQL into your Android app with Apollo and Kotlin, in the shortest amount of time possible."
---

This course is a concise and powerful introduction to GraphQL for android developers.

We’ve structured this course to cover fundamental concepts of both GraphQL and using GraphQL in Android, in the shortest amount of time possible. The course is light on opinions so that once you grok the fundamentals you can go on to choose your favourite tools and tailor your workflow.

## Key topics and takeways:

- GraphQL vs REST
- GraphQL queries, mutations, subscriptions
- Setting up a GraphQL client with Apollo
- Integrating GraphQL queries in your android app
- Integrating GraphQL mutations with query variables to handle form input
- Updating local state after a GraphQL mutation (form input) using Apollo cache
- Optimistic updates to local state and UI after GraphQL mutations for a slick UX
- Using subscriptions with a subscriptions methods
- Building a real-time feed with notifications using mutations and subscriptions

## What will be building?

We will be building a realtime todo app using authenticated GraphQL APIs.

Try this deployed version of the frontend app to see what we'll be building: https://learn-hasura-todo-app.netlify.com/

This is built on React but the functionality will be the same for android.

## Will this course teach android concepts as well?

No, we will be simulating a scenario where we already have a
GraphQL API and the basic UI of a android app built. Our task in this
scenario is to integrate the GraphQL APIs into our android app to build
a complete and working app.

## What do I need to take this tutorial?

You need to have npm/yarn & node 8+ running.

## How long will this tutorial take?

Less than 2 hours
