---
title: "Bulk delete todos - mutation"
metaTitle: "Mutation to bulk delete todos | GraphQL React Apollo Tutorial"
metaDescription: "GraphQL Mutation to bulk delete existing personal todos. Try the mutation in GraphiQL, passing the Authorization token to perform bulk operations"
---

import YoutubeEmbed from "../../src/YoutubeEmbed.js";

<YoutubeEmbed link="https://www.youtube.com/embed/V9FZ7RTON14" />

In this part of the tutorial, you will learn how to bulk delete all the existing completed todos by using GraphQL Mutations.

Let's define a graphql query to do a mutation into todos.

```graphql
mutation clearCompleted {
  delete_todos(where: {is_completed: {_eq: true}, is_public: {_eq: false}}) {
    affected_rows
  }
}
```

You will also need to pass in the values for the variables.

[Try](https://learn.hasura.io/graphql/graphiql) this mutation in GraphiQL against the application database to see what the response looks like.

Let's now integrate this graphql mutation into our react app.